
 /* House_money.c      Metaprat       5th August 1992  */


#include "house_defines.h"

int total_money;
int uncat_money;
int agent_money;
int build_money;
int drink_money;
int decor_money;
int invite_money;
int map_money;
int door_money;
int furnish_money;
int items_money;
int other_money;



reset(arg) {
   if (arg) {
      return;
   }
   total_money = 0;
   uncat_money = 0;
   agent_money = 0;
   build_money = 0;
   drink_money = 0;
   decor_money = 0;
   invite_money = 0;
   map_money   = 0;
   door_money  = 0;
   furnish_money = 0;
   items_money = 0;
   other_money = 0;
}



has_money(arg) {
   if ((!intp(arg)) || (arg < 0)) {
      return 0;
   }
   if (arg > this_player()->query_money()) {
      write("Sorry, you do not have enough coins on you.  It costs " + arg +
            " coins for that.\n");
      if (IAMWIZ) {
         write("However, since you're a wiz.. who am I to complain?\n");
         return 1;
      }
      return 0;
   }
   return 1;
}


charge_money(arg, category) {
   if ((!intp(arg)) || (arg <= 0)) {
      return;
   }
   write("You are charged " + arg + " coins.\n");
   if (IAMWIZ || (MYNAME == "metaprat")) {
      write("But since you're a wiz.. have it free instead!\n");
      return;
   }
   this_player()->add_money(-arg);
   total_money += arg;
   if (!category) {
      uncat_money += arg;
   }
   else if (category == "agent") {
      agent_money += arg;
   }
   else if (category == "build") {
      build_money += arg;
   }
   else if (category == "drink") {
      drink_money += arg;
   }
   else if (category == "decor") {
      decor_money += arg;
   }
   else if (category == "invite") {
      invite_money += arg;
   }
   else if (category == "map") {
      map_money += arg;
   }
   else if (category == "door") {
      door_money += arg;
   }
   else if (category == "furnish") {
      furnish_money += arg;
   }
   else if (category == "items") {
      items_money += arg;
   }
   else {
      other_money += arg;
   }
}



show_revenue() {
   write("Total revenue collected: \t" + total_money + " gold.\n");
   write("Agent: \t" + agent_money + " gp\t(buying houses)\n");
   write("Build: \t" + build_money + " gp\t(building rooms)\n");
   write("Drink: \t" + drink_money + " gp\t(food and drink)\n");
   write("Decor: \t" + decor_money + " gp\t(decorating)\n");
   write("Invite:\t" + invite_money+ " gp\t(invitations)\n");
   write("Map:   \t" + map_money   + " gp\t(maps)\n");
   write("Door:  \t" + door_money  + " gp\t(building doors)\n");
   write("Furnis:\t" + furnish_money+" gp\t(adding furnish options)\n");
   write("Items: \t" + items_money + " gp\t(adding examinable items)\n");
   write("Other: \t" + other_money + " gp\t(miscellaneous)\n");
}






